# List Form Responses

Retrieves a list of all form responses.

Endpoint: GET /v2/form_responses
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Query parameters:

  - `page_index` (string)

  - `page_size` (string)

  - `order_by` (string)

  - `status` (string)

  - `order_descending` (boolean)

  - `patient_first_name` (string)

  - `patient_last_name` (string)

  - `patient_full_name` (string)

  - `form_title` (string)

  - `form_type` (string)

  - `patient_id` (string)

  - `created_at[]` (array)

  - `service` (string)

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string)

  - `data.patient` (object)

  - `data.patient.id` (string)

  - `data.patient.title` (string)
    Enum: "Baron", "Baroness", "Brigadier", "Count", "Colonel", "Countess", "Captain", "Dame", "The Dowager Viscountess", "Dr", "Duchess", "Duke", "Earl", "His Excellency", "Father", "H.E. Ambassador Mr", "H.E. Mr", "H.E. Mrs", "Her Grace", "His Grace", "The Hon", "The Hon Mr", "The Hon Mrs", "HRH", "HRH Prince", "HRH Princess", "Insurance", "HM King", "Lady", "Lord", "Major", "Master", "Miss", "Mr", "Mrs", "Ms", "Mss", "Mx", "Pr", "Professor", "HM Queen", "Rabbi", "Reverend", "Sheikh", "Sheikha", "Sir", "The", "", "Viscount", "Viscountess"

  - `data.patient.first_name` (string)

  - `data.patient.last_name` (string)

  - `data.write_to_record` (object)

  - `data.write_to_record.write_to_record_at` (string)

  - `data.write_to_record.status` (string)

  - `data.write_to_record.failure_reason` (string)

  - `data.created_at` (string)

  - `data.updated_at` (string)

  - `data.form_type` (string)

  - `data.form_title` (string)

  - `data.service` (string)

  - `count` (number, required)

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (application/json):

  - `error` (boolean, required)
    Example: true

  - `statusCode` (number, required)
    Example: 400

  - `message` (array, required)

  - `message.code` (string, required)
    Example: invalid_type

  - `message.expected` (string, required)
    Example: string

  - `message.path` (array, required)
    Example: ["patient_id"]

  - `message.message` (string, required)
    Example: Required

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 404:

  - `404` (unknown)
    Not found

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

